package cn.palmte.work.config;

import org.springframework.stereotype.Component;

/**
 * 注入配置属性
 *
 * @author pengqiang
 * @date 2018/6/26
 */
@Component
public class ConfigProperties {

    /**
     * 上传路径
     */
    //@Value("${upload.path}")
    private String uploadPath = "/mnt/dzg/image";
    /**
     * 上传前缀
     */
    //@Value("${upload.prefix}")
    private String uploadPrefix = "/upload";

    /**
     * admin服务器域名
     * 格式： https://dzgtest.palmte.cn
     */
    //@Value("${admin.domain}")
    private String adminDomain = "";

    public String getUploadPath() {
        return uploadPath;
    }

    public String getUploadPrefix() {
        return uploadPrefix;
    }

    public String getAdminDomain() {
        return adminDomain;
    }

}
